<?php
	//si缓存控制文件
  /*本文件不可删除,为iweb_si_lib(SI库)系统缓存控制文件;
  系统可通过扩展iweb_si_lib(SI库)支持获得服务于庞大在线用户的支撑能力*/
	//当前页面参数
	$page_num=trim(get_argg('page')); 

	if($is_self=='Y'){
		$sql="select * from $t_album where user_id='$userid' order by add_time desc";
	}else{
		if($p && $ses_uid!=''){
			$sql="select * from $t_album where user_id='$userid' and album_secret<=1 and album_pass = 1 order by add_time desc";
		}else{
			$sql="select * from $t_album where user_id='$userid' and album_secret=0 and album_pass = 1 order by add_time desc";
		}
	}
	$dbo->setPages($set_page_data_num,$page_num);//设置分页
	$album_rs=$dbo->getRs($sql);
	$page_total=$dbo->totalPage;//分页总数

?>